summaryrefslogtreecommitdiff
path: root/src/transport/test_delay
diff options
context:
space:
mode:
authorDavid Barksdale <amatus.amongus@gmail.com>2015-01-01 19:22:03 +0000
committerDavid Barksdale <amatus.amongus@gmail.com>2015-01-01 19:22:03 +0000
commit9f9f48f0a6f81b5770bc8040c5c0826ceb9d3a15 (patch)
tree533507524f6488034f3cc1e85bd83220fcd4b877 /src/transport/test_delay
parentbbe9fca99a417babc866ab4cd150fc62b1c7c8ef (diff)
Add a test to reproduce issue #3554
Diffstat (limited to 'src/transport/test_delay')
-rwxr-xr-xsrc/transport/test_delay18
1 files changed, 18 insertions, 0 deletions
diff --git a/src/transport/test_delay b/src/transport/test_delay
new file mode 100755
index 000000000..31c7777c4
--- /dev/null
+++ b/src/transport/test_delay
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+TEMP=$(getopt -o t: -- "$@")
+
+if [ $? != 0 ] ; then
+ exit 1
+fi
+
+eval set -- "$TEMP"
+
+while true ; do
+ case "$1" in
+ (-t) sleep "$2" ; shift 2 ;;
+ (--) shift ; break ;;
+ (*) echo "Error parsing getopt output" ; exit 1 ;;
+ esac
+done
+exec "$@"